groups['raspberry'] = {
    'bundles': {
        'raspberrypi',
    },
    'metadata': {
        'users': {
            'pi': {
                'delete': True,
            },
        },
    },
}

groups['linux'] = {
    'subgroups': {
        'debian',
        'raspberry',
    },
    'bundles': {
        'apt',
        'backup-client',
        'basic',
        'cron',
        'iptables',
        'molly-guard',
        'openssh',
        'postfix',
        'sshmon',
        'sudo',
        'systemd',
        'systemd-networkd',
        'telegraf',
        'users',
    },
    'metadata': {
        'apt': {
            'unattended-upgrades': {
                'mail': 'hostmaster@kunsmann.eu',
            },
        },
        'backup-client': {
            'server': 'franzi-home.kunbox.net:2022',
        },
        'iptables': {
            'port_rules': {
                '*': {
                    'ovh.icinga2',
                },
                '*/udp': {
                    'ovh.icinga2',
                },
            },
        },
        'telegraf': {
            'influxdb_url': 'https://influxdb.kunsmann.eu/',
            'influxdb_token': vault.decrypt('encrypt$gAAAAABgg9Ag632Xyuc6SWXaR1uH2tLOChmVKAoBIikhjntSSD2qJFL_eouVQGXCLH2HEuSbSdEXcTPn2qmhOiA9jmFdoDSbVbQUsp0EID1wLsWYG_Um2KOxZSF-tn9eDZlgShQYySjzO3nQRmdlJpVLUnGHsiwv_sHD2FstXGpfzTPZq5_egUqEc0K2X-aN2J6BTYc2fZAN'),
            'influxdb_org': vault.decrypt('encrypt$gAAAAABgg9hyjz4XtvG8NBw9uYxiumS3v7YKIrtc9tTTABg1f9R22gzn55q8ULP9X3wlsPMUQs_DH7CgGv9neYmvVAriRoyd8g=='),
            'influxdb_bucket': vault.decrypt('encrypt$gAAAAABgg9iMnq0nKpODMiMN4NtUw231iqpbyDXV-O8epOAGDSL4jcf3CaSa2bLZzH2fJFaKWjW-dpVd384x6KqSQU19XpfsWA=='),
        },
    },
    'pip_command': 'pip3',
}

groups['debian'] = {
    'subgroups': {
        'debian-buster',
        'debian-bullseye',
        'debian-sid',
    },
    'os': 'debian'
}

groups['debian-buster'] = {
    'os_version': (10,)
}

groups['debian-bullseye'] = {
    'os_version': (11,)
}

groups['debian-sid'] = {
    'os_version': (99,)
}
